# IMFHierarchicalListPart Class Reference

Inheritance diagram for IMFHierarchicalListPart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | RecalcPartSize (void)=0
virtual uint32 MCCOMAPI | GetNextSelectedItem (uint32 inCurrentItem=kUnusedIndex)=0
virtual const ListSelection &MCCOMAPI | GetSelection (void) const =0
virtual void MCCOMAPI | ClearSelection (void)=0
virtual void MCCOMAPI | SelectItemByIndex (uint32 inIndex)=0
virtual void MCCOMAPI | SelectItemByKey (IMFHierarchyItem *inItem)=0
virtual void MCCOMAPI | ToggleItemSelection (uint32 inIndex)=0
virtual void MCCOMAPI | SaveOpenCloseStatus ()=0
virtual IMFHierarchyItem *MCCOMAPI | GetItem (uint32 inIndex)=0
virtual uint32 MCCOMAPI | InsertItemAfter (IMFHierarchyItem *inItem, ItemStrings &inDisplayStrings, boolean canHaveChildren, boolean asChild=false, uint32 afterIndex=kUnusedIndex)=0
virtual uint32 MCCOMAPI | AddItemToEnd (IMFHierarchyItem *inItem, ItemStrings &inDisplayStrings, boolean canHaveChildren, boolean asChild=false)=0
virtual uint32 MCCOMAPI | AddItem (IMFHierarchyItem *inItem, ItemStrings &inDisplayStrings, boolean canHaveChildren, uint32 inParent)=0
virtual uint32 MCCOMAPI | GetItemsCount () const =0
virtual void MCCOMAPI | RemoveItem (uint32 inItemIndex)=0
virtual void MCCOMAPI | InvalItem (uint32 inItemIndex)=0
virtual void MCCOMAPI | GetOpenIndicies (TMCArray< uint32 > &outOpenIndicies)=0
virtual void MCCOMAPI | SetOpenStatusIndicies (const TMCArray< uint32 > &inOpenIndicies, bool itemOpen)=0
virtual void MCCOMAPI | DroppedItemsInArea (const ListSelection &inItems, THierarchicalListDropArea &inDropArea)=0
virtual void MCCOMAPI | CopyItemsFromList (TMFDropCandidate &inFrom, THierarchicalListDropArea &inDropArea)=0
virtual IDType MCCOMAPI | GetDragFlavor (void) const =0
virtual boolean MCCOMAPI | GetDrawColumnLines (void) const =0
virtual const TMCArray< uint32 > &MCCOMAPI | GetColumnStarts (void) const =0
virtual void MCCOMAPI | SetDragFlavor (IDType inFlavor)=0
virtual void MCCOMAPI | SetDrawColumnLines (boolean inDrawLines)=0
virtual void MCCOMAPI | SetColumnStarts (const TMCArray< uint32 > &inWidths)=0
virtual boolean MCCOMAPI | GetDrawRoot ()=0
virtual void MCCOMAPI | SetDrawRoot (boolean drawRoot)=0
virtual boolean MCCOMAPI | GetAllowMultipleSelection ()=0
virtual void MCCOMAPI | SetAllowMultipleSelection (boolean allow)=0
virtual void MCCOMAPI | GetDisplayData (TMCClassArray< TMCString255 > &data, int32 inIndex)=0

## Detailed Description

This is the interface to access a hierarchical part. The corresponding type in MCSketch is: TMFHierarchicalListPart

## Member Function Documentation

virtual uint32 MCCOMAPI IMFHierarchicalListPart::AddItem | ( | IMFHierarchyItem * | inItem,
|  | ItemStrings & | inDisplayStrings,
|  | boolean | canHaveChildren,
|  | uint32 | inParent |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI IMFHierarchicalListPart::AddItemToEnd | ( | IMFHierarchyItem * | inItem,
|  | ItemStrings & | inDisplayStrings,
|  | boolean | canHaveChildren,
|  | boolean | asChild = `false` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::ClearSelection | ( | void |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::CopyItemsFromList | ( | TMFDropCandidate & | inFrom,
|  | THierarchicalListDropArea & | inDropArea |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::DroppedItemsInArea | ( | const ListSelection & | inItems,
|  | THierarchicalListDropArea & | inDropArea |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IMFHierarchicalListPart::GetAllowMultipleSelection | ( |  | ) | `[pure virtual]`

virtual const TMCArray<uint32>& MCCOMAPI IMFHierarchicalListPart::GetColumnStarts | ( | void |  | ) | const`[inline, pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::GetDisplayData | ( | TMCClassArray< TMCString255 > & | data,
|  | int32 | inIndex |
| ) |  |  | `[pure virtual]`

virtual IDType MCCOMAPI IMFHierarchicalListPart::GetDragFlavor | ( | void |  | ) | const`[inline, pure virtual]`

virtual boolean MCCOMAPI IMFHierarchicalListPart::GetDrawColumnLines | ( | void |  | ) | const`[inline, pure virtual]`

virtual boolean MCCOMAPI IMFHierarchicalListPart::GetDrawRoot | ( |  | ) | `[pure virtual]`

virtual IMFHierarchyItem* MCCOMAPI IMFHierarchicalListPart::GetItem | ( | uint32 | inIndex | ) | `[pure virtual]`

virtual uint32 MCCOMAPI IMFHierarchicalListPart::GetItemsCount | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IMFHierarchicalListPart::GetNextSelectedItem | ( | uint32 | inCurrentItem = `kUnusedIndex` | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::GetOpenIndicies | ( | TMCArray< uint32 > & | outOpenIndicies | ) | `[pure virtual]`

virtual const ListSelection& MCCOMAPI IMFHierarchicalListPart::GetSelection | ( | void |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IMFHierarchicalListPart::InsertItemAfter | ( | IMFHierarchyItem * | inItem,
|  | ItemStrings & | inDisplayStrings,
|  | boolean | canHaveChildren,
|  | boolean | asChild = `false`,
|  | uint32 | afterIndex = `kUnusedIndex` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::InvalItem | ( | uint32 | inItemIndex | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::RecalcPartSize | ( | void |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::RemoveItem | ( | uint32 | inItemIndex | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SaveOpenCloseStatus | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SelectItemByIndex | ( | uint32 | inIndex | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SelectItemByKey | ( | IMFHierarchyItem * | inItem | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetAllowMultipleSelection | ( | boolean | allow | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetColumnStarts | ( | const TMCArray< uint32 > & | inWidths | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetDragFlavor | ( | IDType | inFlavor | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetDrawColumnLines | ( | boolean | inDrawLines | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetDrawRoot | ( | boolean | drawRoot | ) | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::SetOpenStatusIndicies | ( | const TMCArray< uint32 > & | inOpenIndicies,
|  | bool | itemOpen |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFHierarchicalListPart::ToggleItemSelection | ( | uint32 | inIndex | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- IMFHierarchicalListPart.h